For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
        • GETList SAML Connections
        • POSTCreate SAML Connection
        • GETGet SAML Connection
        • PATCHUpdate SAML Connection
Login
Logo
API ReferenceManagement APISAML Connections

Create SAML Connection

POST
https://api.ssoready.com/v1/saml-connections
POST
/v1/saml-connections
$curl -X POST https://api.ssoready.com/v1/saml-connections \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "samlConnection": {
3 "id": "id",
4 "organizationId": "organizationId",
5 "primary": true,
6 "idpRedirectUrl": "idpRedirectUrl",
7 "idpCertificate": "idpCertificate",
8 "idpEntityId": "idpEntityId",
9 "spEntityId": "spEntityId",
10 "spAcsUrl": "spAcsUrl"
11 }
12}
Creates a SAML connection.
Was this page helpful?
Previous

Get SAML Connection

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
idstringOptional
Unique identifier for this SAML connection.
organizationIdstringOptional
The organization this SAML connection belongs to.
primarybooleanOptional
Whether this is the primary SAML connection for the organization.
idpRedirectUrlstringOptional
URL to redirect to when initiating SAML flows. IDP redirect URLs are assigned by an Identity Provider, and need to be inputted into SSOReady.
idpCertificatestringOptional

Certificate to authenticate SAML assertions. This is a PEM-encoded X.509 certificate.

IDP certificates are assigned by an Identity Provider, and need to be inputted into SSOReady.

idpEntityIdstringOptional
Identifier for the identity provider when handling SAML operations. IDP entity IDs are assigned by an Identity Provider, and need to be inputted into SSOReady.
spEntityIdstringOptional
Identifier for the SAML connection when handling SAML operations. SP entity IDs are assigned by SSOReady, and need to be inputted into your customer's Identity Provider.
spAcsUrlstringOptional
URL the Identity Provider redirects to when transmitting SAML assertions. Stands for "Service Provider Assertion Consumer Service" URL. SP ACS URLs are assigned by SSOReady, and need to be inputted into your customer's Identity Provider.

Response

OK
samlConnectionobject
The created SAML connection.